For the complete documentation index, see llms.txt. This page is also available as Markdown.

Case Relief Source

Filter cases by relief source

Filter by case relief source (integer).

GET https://clearinghouse.net/api/v2/cases?relief_sources=relief_source_id

Query Parameters

Name
Type
Description

relief_source_id*

integer

Relief source ID (see list below for list of integers and its mapped values)

Headers

Name
Type
Description

Authorization*

String

Authorization

Token XXXXXXXXXXX

where

XXXXXXXXXXX

is the token string

\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2/cases/?case_id=xyz
["API Error: zxy is not an integer."]
{
    "detail":"Authentication credentials were not provided."
}

Supported relief source IDs (relief_source_id):

5645

None

5644

None yet

5642

Litigation

5643

Unknown

5641

Settlement

For more information about these sources of relief, see relief_sources.

Example

https://clearinghouse.net/api/v2/case?relief_sources=5643
import requests

url = "https://clearinghouse.net/api/v2/case?relief_sources=5641"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)

Last updated